# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.FeatureStrategy

Packages that use CDORevisionCrawler.FeatureStrategy
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.

## Uses of CDORevisionCrawler.FeatureStrategy in org.eclipse.emf.cdo.common.revision

Fields in org.eclipse.emf.cdo.common.revision declared as CDORevisionCrawler.FeatureStrategy
Modifier and Type
Field
Description
`static final CDORevisionCrawler.FeatureStrategy`
CDORevisionCrawler.FeatureStrategy.`SINGLE`
Handles only the current feature, does not follow references.
`static final CDORevisionCrawler.FeatureStrategy`
CDORevisionCrawler.FeatureStrategy.`TREE`
Handles the current feature and follows containment references.
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCrawler.FeatureStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler.FeatureStrategy`
CDORevisionCrawler.`featureStrategy()`
Returns the current feature strategy.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCrawler.FeatureStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler`
CDORevisionCrawler.`featureStrategy(CDORevisionCrawler.FeatureStrategy featureStrategy)`
Sets the feature strategy.

## Uses of CDORevisionCrawler.FeatureStrategy in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDORevisionCrawler.FeatureStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler.FeatureStrategy`
EObjectCrawler.`featureStrategy()`
Methods in org.eclipse.emf.cdo.common.util with parameters of type CDORevisionCrawler.FeatureStrategy
Modifier and Type
Method
Description
`EObjectCrawler`
EObjectCrawler.`featureStrategy(CDORevisionCrawler.FeatureStrategy featureStrategy)`